JspFragmentHelper (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.jasper.runtime, class: JspFragmentHelper

# Class JspFragmentHelper

java.lang.Object
jakarta.servlet.jsp.tagext.JspFragment
org.apache.jasper.runtime.JspFragmentHelper

public abstract class JspFragmentHelper extends JspFragment
Helper class from which all Jsp Fragment helper classes extend. This class allows for the emulation of numerous fragments within a single class, which in turn reduces the load on the class loader since there are potentially many JspFragments in a single page.

The class also provides various utility methods for JspFragment implementations.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final PageContext`
  `_jspx_page_context`
  The page context associated with this fragment, cast from the JSP context.
  `protected final int`
  `discriminator`
  Discriminator value used to identify the specific fragment within a multi-fragment class.
  `protected final JspContext`
  `jspContext`
  The JSP context associated with this fragment.
  `protected final JspTag`
  `parentTag`
  The parent tag that owns this fragment.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JspFragmentHelper(int discriminator, JspContext jspContext, JspTag parentTag)`
  Creates a new JspFragmentHelper instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JspContext`
  `getJspContext()`
  Returns the JspContext that is bound to this JspFragment.
  `JspTag`
  `getParentTag()`
  Returns the parent tag that owns this fragment.

  ### Methods inherited from class JspFragment

  `invoke`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### discriminator

    protected final int discriminator
    Discriminator value used to identify the specific fragment within a multi-fragment class.

  - ### jspContext

    protected final JspContext jspContext
    The JSP context associated with this fragment.

  - ### _jspx_page_context

    protected final PageContext _jspx_page_context
    The page context associated with this fragment, cast from the JSP context.

  - ### parentTag

    protected final JspTag parentTag
    The parent tag that owns this fragment.

- ## Constructor Details

  - ### JspFragmentHelper

    public JspFragmentHelper(int discriminator, JspContext jspContext, JspTag parentTag)
    Creates a new JspFragmentHelper instance.
    Parameters:
      `discriminator` - the fragment discriminator value
      `jspContext` - the JSP context for this fragment
      `parentTag` - the parent tag

- ## Method Details

  - ### getJspContext

    public JspContext getJspContext()
    Description copied from class: `jakarta.servlet.jsp.tagext.JspFragment`
    Returns the JspContext that is bound to this JspFragment.
    Specified by:
      `getJspContext` in class `JspFragment`
    Returns:
      The JspContext used by this fragment at invocation time.

  - ### getParentTag

    public JspTag getParentTag()
    Returns the parent tag that owns this fragment.
    Returns:
      the parent tag